Skip to content

Service references

All operations require authentication.

5 operationsv1/ipLoadbalancing/{serviceName}
Agent setup

List available frontend typesProduction

GET
/1.0/ipLoadbalancing/{serviceName}/availableFrontendType

Path parameters

serviceName
required
string

The internal name of your IP load balancing

Response

200string[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/ipLoadbalancing/{serviceName}/availableFrontendType \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

List available farm typesProduction

GET
/1.0/ipLoadbalancing/{serviceName}/availableFarmType

Path parameters

serviceName
required
string

The internal name of your IP load balancing

Response

200string[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/ipLoadbalancing/{serviceName}/availableFarmType \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

List available farm probesProduction

GET
/1.0/ipLoadbalancing/{serviceName}/availableFarmProbes

Path parameters

serviceName
required
string

The internal name of your IP load balancing

Response

200FarmAvailableProbe[]successful operation
matches
string[]

List of possible probe result checkers for this type of probe

method
string[]

List of available HTTP method, if available

negatableMatches
string[]

List of matches operators that accept the negate option for this type of probe

port
boolean

True is this probe type supports a custom port

type
string

Probe protocol name. See probe "type" field in the farm probe

url
boolean

True is this probe type supports a URL

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/ipLoadbalancing/{serviceName}/availableFarmProbes \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "matches": [ "string" ], "method": [ "string" ], "negatableMatches": [ "string" ], "port": true, "type": "string", "url": true }]

List available route match rulesProduction

GET
/1.0/ipLoadbalancing/{serviceName}/availableRouteRules

Path parameters

serviceName
required
string

The internal name of your IP load balancing

Response

200RouteAvailableRule[]successful operation
enum
string[]

If pattern is "enum", list of available options

hasSubField
boolean

If true, this rule needs a subfield. Typically a cookie or header name

matches
string[]

List of match operators compatible with this rule

name
string

Rule name

pattern
string

Expected type for the pattern. Like "enum", "backend", "cidr", ...

type
string

Protocol supported by this action

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/ipLoadbalancing/{serviceName}/availableRouteRules \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "enum": [ "string" ], "hasSubField": true, "matches": [ "string" ], "name": "string", "pattern": "string", "type": "string" }]

List available route actionsProduction

GET
/1.0/ipLoadbalancing/{serviceName}/availableRouteActions

Path parameters

serviceName
required
string

The internal name of your IP load balancing

Response

200RouteAvailableAction[]successful operation
destination
string

Type of the destination for this action

name
string

Action name

status
integer[]

List of available HTTP status code if applicable

type
string

Protocol supported by this action

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/ipLoadbalancing/{serviceName}/availableRouteActions \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "destination": "string", "name": "string", "status": [ 0 ], "type": "string" }]